<!--
//函数名：fucCheckNUM 
//功能介绍：检查是否为数字
//参数说明：要检查的数字 
//返回值：1为是数字，0为不是数字 
//用VBStript的函数不是可以直接判断：IsNumeric(任意字符)，是数字返回True
function fucCheckNum(NUM)
{
	var i,j,strTemp;
	strTemp="0123456789";
	if(NUM.length==0)
		return 0;
	for(i=0;i<NUM.length;i++)
	{
		j=strTemp.indexOf(NUM.charAt(i));
		if(j==-1)
			return 0;
	}
	return 1;
}

function only_num_input(input,isint)
{
	var keycode=event.keyCode;
	//alert(keycode);					
	if( (keycode>=48 && keycode <=57)||(keycode>=96 && keycode <=105))
	{			
		return;
	}
	if(keycode==8 || keycode==46 || keycode==36 || keycode==35 || keycode==9)
	{
		return;
	}
	if(isint==1)
	{
		event.returnValue=false;	
		return;
	}
	if(keycode==110 || keycode==190)
	{
		if(!fucCheckNum(input.value))
			event.returnValue=false;
		return;
	}
	event.returnValue=false;		
}
/*
function isnum(str)
{
	for(var i=0;i<str.length;i++)
	{
		if(str.charAt(i)<"0" || str.charAt(i)>"9")
			return 0;
	}
	return 1;
}*/
//如果要判断整数用VBStript的VarType 函数
//函数名：fucCheckNUM_Int 
//功能介绍：检查是否为整数
//参数说明：要检查的数字
//返回值：1为是整数，0为不是整数或者不是数字 
function fucCheckNum_Int(NUM)
{
	var i,j,strTemp;
	strTemp="0123456789";
	if(NUM.length==0)
		return 0;
	
	for(i=0;i<NUM.length;i++)
	{
		j=strTemp.indexOf(NUM.charAt(i));
		if( i==0 && NUM.charAt(0)=='-')
			continue;
		if(j==-1)
			return 0;
	}
	return 1;
}

//函数名：fucCheckLength 
//功能介绍：检查字符串的长度 
//参数说明：要检查的字符串 
//返回值：长度值 
function fucCheckLength(strTemp)
{
	var i,sum;
	sum=0;
	for(i=0;i<strTemp.length;i++)
	{
		if((strTemp.charCodeAt(i)>=0) && (strTemp.charCodeAt(i)<=255))		
			sum=sum+1;
		else
			sum=sum+2;
	}
	return sum;
}

//函数名：fucCheckTEL 
//功能介绍：检查是否为电话号码 
//参数说明：要检查的字符串 
//返回值：1为是合法，0为不合法 

function fucCheckTel(TEL)
{
	var i,j,strTemp;
	strTemp="0123456789-()#";
	for(i=0;i<TEL.length;i++)
	{
		j=strTemp.indexOf(TEL.charAt(i));
		if(j==-1)
			return 0;
	}
	return 1;
}

//函数名：fucPWDchk 
//功能介绍：检查是否含有非数字或字母 
//参数说明：要检查的字符串 
//返回值：0：含有 1：全部为数字或字母 

function fucPWDchk(str)
{
	var strSource="0123456789abcdefghijkmnopqrstuvwxyzABCDEFGHIJKLMNOPQSTUVWXYZ";
	var ch;
	var i;
	var temp;
	for(i=0;i<=(str.length-1);i++)
	{
		ch=str.charAt(i);
		temp=strSource.indexOf(ch);
		if(temp==-1)
			return 0;
	}
	if(strSource.indexOf(ch)==-1)
		return 0;
	else
		return 1;
}

//函数名：chkdate 
//功能介绍：检查是否为日期 
//参数说明：要检查的字符串 
//返回值：0：不是日期 1：是日期 

function chkdate(datestr)
{
	var lthdatestr;
	if(datestr != "")
		lthdatestr=datestr.length;
	else
		lthdatestr=0;
	var tmpy="";
	var tmpm="";
	var tmpd="";
	var tmph="";
	var status;
	status=0;
	if(lthdatestr==0)
		return 0;
	for(i=0;i<lthdatestr;i++)
	{
		if(datestr.charAt(i)=='-')
			status++;
		if(status>2)
			return 0;
		if( (status==0) && (datestr.charAt(i)!='-') )
			tmpy=tmpy+datestr.charAt(i);
		if( (status==1) && (datestr.charAt(i)!='-') )
			tmpm=tmpm+datestr.charAt(i);
		if(( status==2) && (datestr.charAt(i)!='-') && (tmpd.length<=2))
			tmpd=tmpd+datestr.charAt(i);
		else
			if(( status==2) && (datestr.charAt(i)!='-'))
				tmph=tmph+datestr.charAt(i);
			
	}	
	var bb;
	var y,m,d
	
	y=parseInt(tmpy,10);
	if(isNaN(y))
		return 0;
	if(y<1900 || y>9999)
		return 0;
	m=parseInt(tmpm,10);
	if(isNaN(m))
		return 0;
	if(m<1 || m>12)
		return 0;
	d=parseInt(tmpd,10);
	if(isNaN(d))
		return 0;
	if(d<1)
		return 0;
	switch(m)
	{
	case 1:
	case 3:
	case 5:
	case 7:
	case 8:
	case 10:
	case 12:
		if(d>31)
			return 0;
		break;
	case 4:
	case 6:
	case 9:
	case 11:
		if(d>30)
			return 0;
		break;
	case 2:
		if( (m%4)==0)
		{
			if(d>29)
				return 0;
		}
		else
		{
			if(d>28)
				return 0;
		}
	}
	
	var tmphh="";
	var tmpmm="";
	var tmpss="";
	var tmphs="";
	status;
	status=0;
	if(tmph.length>0)
	{		
		for(i=0;i<tmph.length;i++)
		{
			if(tmph.charAt(i)==':')
				status++;
			if(status>3)
				return 0;
			if( (status==0) && (tmph.charAt(i)!=':') )
				tmphh=tmphh+tmph.charAt(i);
			if( (status==1) && (tmph.charAt(i)!=':') )
				tmpmm=tmpmm+tmph.charAt(i);
			if(( status==2) && (tmph.charAt(i)!=':') )
				tmpss=tmpss+tmph.charAt(i);
			if(( status==3) && (tmph.charAt(i)!=':') )
				tmphs=tmphs+tmph.charAt(i);				
		}
		
		if(Trim(tmphh)!="")
		{			
			bb=parseInt(tmphh,10);
			if(isNaN(bb))
				return 0;
			if(bb<0 || bb>23)
				return 0;
		}
		if(Trim(tmpmm)!="")
		{
			bb=parseInt(tmpmm,10);
			if(isNaN(bb))
				return 0;
			if(bb<0 || bb>59)
				return 0;
		}
		if(Trim(tmpss)!="")
		{
			bb=parseInt(tmpss,10);
			if(isNaN(bb))
				return 0;
			if(bb<0 || bb>59)
				return 0;
		}
		if(Trim(tmphs)!="")
		{
			bb=parseInt(tmphs,10);
			if(isNaN(bb))
				return 0;
			if(bb<0 || bb>99)
				return 0;
		}
	}
	//alert("正确！");
	return 1;
	
}

//opt1 小数 opt2 负数 
//当opt2为1时检查num是否是负数 
//当opt1为1时检查num是否是小数 
//返回1是正确的，0是错误的 

function chknbr(num,opt1,opt2)
{
	var i=num.length;
	var status;
	status=0;
	if((opt2!=1) && (num.charAt(0)=='-'))
		return 0;
	if(num.charAt(i-1)=='.')
		return 0;
	for(j=0;j<i;j++)
	{
		if(num.charAt(j)=='.')
			status++;
		if(status>1)
			return 0;
		
		if(num.charAt(j)<'0' || num.charAt(j)>'9')
		{			
			if(i>1)
			{
				if(((opt1==0) || (num.charAt(j)!='.')) && (j!=0))
					return 0;
			}
			else
			{				
				return 0;
			}
		}
	}
	
	return 1;
}

//功能说明：检察字符串里是否是合法的email地址
//参数说明：要检察的字符串地址
//返回值说明：0：非法的email格式，1：正确的email地址
function chkemail(a)
{
	var temp1, temp2, str_leng;
	str_leng = a.length;
	temp1 = a.indexOf('@');
	temp2 = a.indexOf('.');
	//alert("中国" + temp1 + "中国" + temp2 + "中国" + str_leng + "中国");
	if((temp1 > 0) && (temp2 <= (str_leng - 2)) && ((temp2-temp1) >= 2))
	{
		return 1;
	}
	return 0;
}

//功能说明：检察字符串里是否有空格
//参数说明：要检察的字符串
//返回值说明：0：全是空格，1：没有空格，2：有空格
function chkspc(a)
{
	var i=a.length;
	var j=0;
	var k=0;
	while (k<i)
	{
		if(a.charAt(k) != " ")
			j = j+1;
		k =k+1;				
	}
	if(j==0)
		return 0;
	if(i!=j)
		return 2;
	else
		return 1;
}


function TrimLeft(sString)
{ 
	var sStr,i,iStart,sResult = "";

	sStr = sString.split("");
	iStart = -1 ;
	for (i = 0 ; i < sStr.length ; i++)
	{
		if (sStr[i] != " ") 
		{
			iStart = i;
			break;
		}
	}
	if (iStart == -1) { return "" ;}    //表示sString中的所有字符均是空格,则返回空串
	else { return sString.substring(iStart) ;}
} 

function TrimRight(sString)
{ 
	var sStr,i,sResult = "",sTemp = "" ;

	// if (sString.length == 0) { return "" ;} // 参数sString是空串

	sStr = sString.split("");
	for (i = sStr.length - 1 ; i >= 0 ; i --)  // 将字符串进行倒序
	{ 
		sResult = sResult + sStr[i]; 
	}
	sTemp = TrimLeft(sResult) ; // 进行字符串前空格截除

	if (sTemp == "") { return "" ; }

	sStr = sTemp.split("");
	sResult = "" ;
	for (i = sStr.length - 1 ; i >= 0 ; i--) // 将经处理后的字符串再进行倒序
	{
		sResult = sResult + sStr[i];
	}
	return sResult ;
}

function Trim(sString)
{
/*
	var strTmp ;
	strTmp = TrimLeft(sString);	
	strTmp = TrimRight(strTmp) ;	
	return strTmp ;
*/
	var newStr;
	if(sString)	
		newStr=sString.replace(/(^\s*)|(\s*$)/g, "");
	else
		newStr="";
	//alert(newStr);
	
	return newStr;
} 

function TrimJS(sString)
{//去掉两边的空格
	var strTmp ;
	strTmp = TrimLeft(sString);	
	strTmp = TrimRight(strTmp) ;	
	return strTmp ;
}

function CutRepeatStr(sString,strSep)
{
	var strTmp,i,j,k,count,newStr;
	var tmp= new Array();	
	
	strTmp=sString.split(strSep);
	j=0;
	for(i=0;i<strTmp.length;i++)
	{
		if(i==0)
		{
			tmp[0]=Trim(strTmp[0]);
			j++;
		}
		else
		{
			count=0;
			for(k=0;k<tmp.length;k++)
			{
				newStr=Trim(strTmp[i]);
				if(tmp[k]==newStr)
				{	
					count=1;			
					break;
				}				
			}
			if(count==0)
			{				
				tmp[j]=newStr;
				j++;
			}
		}
		
	}	
	SortNum(tmp);
	strTmp="";	
	strTmp=tmp.join(strSep);
	
	//alert(strTmp);
	return strTmp;		
}

function SortNum(strTmp)
{
	var i,j,minnum;	
	
	for(i=0;i<strTmp.length;i++)
	{				
		for(j=i+1;j<strTmp.length;j++)
		{
			if( parseInt(strTmp[i],10) > parseInt(strTmp[j],10) )
			{
				minnum=strTmp[j];
				strTmp[j]=strTmp[i];
				strTmp[i]=minnum;
			}			
		}
	}		
}

<!-- 删除选中邮件 -->
function clickdelete(){
  if (!isselected()) return; 
  document.forms["listmsgs"].elements["action"].value="del";  
  document.forms["listmsgs"].submit();
}


<!-- 全选 -->
function selectall(v)
{
  var name;
  
  for (var i=0;i<parseInt(document.forms["listmsgs"].elements["num"].value,10);i++)
  {
  	name="select_"+i;
  	document.forms["listmsgs"].elements[name].checked = v;     
  }
  document.forms["listmsgs"].elements["clickall"].checked = v;  	
}


<!-- 是否有选中？ -->
function isselected(){  
  var name; 
  
  for (i=0;i<parseInt(document.forms["listmsgs"].elements["num"].value,10);i++)
  {
  	name="select_"+i;
  	if(document.forms["listmsgs"].elements[name].checked) return true;
  }
  return false;
}

<!-- 显示警告删除对话框 -->
function clickdelete_ip(){
  if (!isselected()) 
  {
      window.open ('msg.asp?msg=请先选择要删除的ＩＰ地址！','','');
      return; 
  }
  document.forms["listmsgs"].elements["action"].value="alarm";  
  document.forms["listmsgs"].submit();
}

//函数名：check_time 
//功能介绍：检查日期是否为大于比较的日期
//参数说明：check_time要检查的时间，flag_time比较的日期 ，这两个参数必须是：“yyyy-mm-dd hh:mm:ss”或“yyyy-mm-dd”格式的
//check_flag=年:判断到年,=月:判断到月,=日:判断到日,,=时:判断到小时,=分:判断到分,=秒:判断到秒
//如果check_flag的值都不等于以上各值,那么效果等同于秒
//返回值：-1：小于比较的时间, 0：等于比较的时间,1：大于比较的日期 
function check_time(check_time ,flag_time,check_flag)
{
	var check_year ,check_month ,check_day ,check_hour ,check_minute ,check_second;
	var flag_year ,flag_month ,flag_day ,flag_hour ,flag_minute ,flag_second;
	check_year = parseInt(check_time.substring(0,check_time.indexOf("-")),10);
	check_month=parseInt(check_time.substring((check_time.indexOf("-")+1),check_time.lastIndexOf("-")),10);

	if(check_time.lastIndexOf(":") == check_time.indexOf(":"))    //if(parseInt(check_time.length) <= 10)
	{//“yyyy-mm-dd”格式的
		check_day = parseInt(check_time.substring((check_time.lastIndexOf("-")+1),check_time.length ),10);
		check_hour = 0;
		check_minute = 0;
		check_second = 0;
	}
	else
	{//“yyyy-mm-dd hh:mm:ss”式的
		check_day = parseInt(check_time.substring((check_time.lastIndexOf("-")+1),check_time.indexOf(" ")),10);
		check_hour = parseInt(check_time.substring((check_time.lastIndexOf(" ")+1),check_time.indexOf(":")),10);
		check_minute = parseInt(check_time.substring((check_time.indexOf(":")+1),check_time.lastIndexOf(":")),10);
		check_second = parseInt(check_time.substring((check_time.lastIndexOf(":")+1),check_time.length ),10);
	}
	flag_year = parseInt(flag_time.substring(0,flag_time.indexOf("-")),10);
	flag_month = parseInt(flag_time.substring((flag_time.indexOf("-")+1),flag_time.lastIndexOf("-")),10);
	if(flag_time.lastIndexOf(":") == flag_time.indexOf(":"))    //if(parseInt(flag_time.length) <= 10)
	{//“yyyy-mm-dd”格式的
		flag_day = parseInt(flag_time.substring((flag_time.lastIndexOf("-")+1),flag_time.length ),10);
		flag_hour = 0;
		flag_minute = 0;
		flag_second = 0;
	}
	else
	{//“yyyy-mm-dd hh:mm:ss”格式的
		flag_day = parseInt(flag_time.substring((flag_time.lastIndexOf("-")+1),flag_time.indexOf(" ")),10);
		flag_hour = parseInt(flag_time.substring((flag_time.lastIndexOf(" ")+1),flag_time.indexOf(":")),10);
		flag_minute = parseInt(flag_time.substring((flag_time.indexOf(":")+1),flag_time.lastIndexOf(":")),10);
		flag_second = parseInt(flag_time.substring((flag_time.lastIndexOf(":")+1),flag_time.length ),10);
	}
	//alert("check_month=" + parseInt(check_month) + "check_day=" + parseInt(check_day) + "赌东道=" + parseInt("05"));
	//alert("年=" + check_year + "月=" + check_month + "日=" + check_day + "时=" + check_hour + "分=" + check_minute + "秒=" + check_second);
	//alert("年1=" + flag_year + "月1=" + flag_month + "日1=" + flag_day + "时1=" + flag_hour + "分1=" + flag_minute + "秒1=" + flag_second);
	if(check_year < flag_year)
	{
		return -1;  
	}
	else
	{
		if(check_year == flag_year)
		{
			if(check_flag == "年")
				return 0;
			else
			{
				if(check_month < flag_month)
				{
					return -1;
				}
				else
				{
					if(check_month == flag_month)
					{
						if(check_flag == "月")
							return 0;
						if(check_day < flag_day)
						{
							return -1;
						}
						else
						{
							if(check_day == flag_day)
							{
								if(check_flag == "日")
									return 0;
								if(check_hour < flag_hour)
								{
									return -1;
								}
								else
								{
									if(check_hour == flag_hour)
									{
										if(check_flag == "时")
											return 0;
										if(check_minute < flag_minute)
										{
											return -1;
										}
										else
										{
											if(check_minute == check_minute)
											{
												if(check_flag == "分")
													return 0;
												if(check_second < flag_second)
												{
													return -1;
												}
												else
													if(check_second == flag_second)
														return 0;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}
	return 1;
}


-->
